Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86418 - Random oops "Unable to handle kernel paging request"
Summary: Random oops "Unable to handle kernel paging request"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-21 18:33 UTC by Tim Keitt
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-22 16:43:14 UTC


Attachments (Terms of Use)
Output of "ksymoops < /var/log/messages" immediately after reboot (deleted)
2003-03-21 18:36 UTC, Tim Keitt
no flags Details
More output from ksymoops (deleted)
2003-03-25 16:39 UTC, Tim Keitt
no flags Details
The saga continues... (deleted)
2003-04-01 21:35 UTC, Tim Keitt
no flags Details

Description Tim Keitt 2003-03-21 18:33:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
I've been getting kernel oops with the message "Unable to handle kernel paging
request at virtual address <address>". This is associated with crashes in X and
gconfd. I'm attaching output from ksymoops. I have run  all of Dell's hardware
diagnostic tests (including memory tests) and have found no hardware errors.
Nothing appears in the BIOS "event log" (such as overheating). I've run
memtest86 overnight on this machine and it did not find anything.

Version-Release number of selected component (if applicable):
2.4.18-27.8.0smp

How reproducible:
Sometimes

Steps to Reproduce:

    

Additional info:

Comment 1 Tim Keitt 2003-03-21 18:36:32 UTC
Created attachment 90687 [details]
Output of "ksymoops < /var/log/messages" immediately after reboot

Last several oops in output resulted in X crashing, no keyboard input possible

Comment 2 Nathan G. Grennan 2003-03-22 11:14:51 UTC
I had an unexplained oops today on a single processor Athlon Thunderbird system
running 2.4.18-27.8.0. I suspect this is related. Before upgrading to
2.4.18-27.8.0 the machine had been running fine for over a month worth of uptime.

Comment 3 Tim Keitt 2003-03-25 16:39:48 UTC
Created attachment 90715 [details]
More output from ksymoops

This happened more or less simultaneously with my keyboard freezing. Not sure
if they are related.

Comment 4 Tim Keitt 2003-04-01 21:35:03 UTC
Created attachment 90815 [details]
The saga continues...

Definitely happens under load

Comment 5 acount closed by user 2003-05-20 02:10:07 UTC
Dell hardware diagnostic tests aren't very good, try memtest86
http://www.memtest86.com  and cpuburn http://users.ev1.net/~redelm/

Comment 6 Tim Keitt 2003-05-20 14:56:44 UTC
Been there, done that. I've run memtest86 overnight and cpuburn. Neither turned
up any hardware errors. They might be there. I just couldn't find them. I'm
going to do a fresh install of RH 9 and see if the problem persists.


Note You need to log in before you can comment on or make changes to this bug.